%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
Name:             python-openstackclient
Version:          3.2.1
Release:          6%{?dist}
Provides:          python2-openstackclient = %{version}-%{release}
Summary:          OpenStack Command-line Client

License:          ASL 2.0
URL:              http://github.com/openstack/%{name}
Source0:          https://tarballs.openstack.org/%{name}/%{name}-%{upstream_version}.tar.gz

#
# patches_ignore=DROP-IN-RPM
# patches_base=3.2.1
#
Patch0001: 0001-Allow-override-of-distributed-router-flag.patch
Patch0002: 0002-Fix-shared-block-migration-options-in-server-migrate.patch
Patch0003: 0003-Use-image-client-for-images-instead-of-compute.patch
Patch0004: 0004-Fix-OSC-networking-commands-help-errors.patch
Patch0005: 0005-Fix-creating-a-private-flavor-with-ID-auto.patch
Patch0006: 0006-Fix-regular-expression-for-uptime-in-hypervisor-show.patch
Patch0007: 0007-Fix-router-unset-route-option.patch
Patch0008: 0008-Prevent-server-migrate-wait-from-hanging.patch

BuildArch:        noarch

BuildRequires:    python2-devel
BuildRequires:    python-setuptools
BuildRequires:    python-pbr
BuildRequires:    python-d2to1
BuildRequires:    python-oslo-sphinx
BuildRequires:    git
BuildRequires:    python-six
BuildRequires:    python-cliff
BuildRequires:    python-oslo-i18n
BuildRequires:    python-oslo-utils
BuildRequires:    python-simplejson
BuildRequires:    python-requests
BuildRequires:    python-glanceclient
BuildRequires:    python-keystoneclient
BuildRequires:    python-novaclient
BuildRequires:    python-cinderclient
BuildRequires:    python-neutronclient
BuildRequires:    python-mock
BuildRequires:    python-requests-mock
BuildRequires:    python-os-client-config
# Required to compile translation files
BuildRequires:    python-babel
# Required for unit tests
BuildRequires:    python-os-testr
BuildRequires:    python-osc-lib-tests
BuildRequires:    python-coverage
BuildRequires:    python-fixtures
BuildRequires:    python-oslotest
BuildRequires:    python-reno
BuildRequires:    python-requestsexceptions
BuildRequires:    python-openstacksdk
BuildRequires:    python-osprofiler

Requires:         python-pbr
Requires:         python-babel
Requires:         python-cliff
Requires:         python-crypto
Requires:         python-openstacksdk
Requires:         python-oslo-config
Requires:         python-oslo-i18n
Requires:         python-oslo-utils
Requires:         python-oslo-serialization
Requires:         python-glanceclient
Requires:         python-keystoneclient
Requires:         python-novaclient
Requires:         python-cinderclient
Requires:         python-neutronclient
Requires:         python-six >= 1.9.0
Requires:         python-requests >= 2.5.2
Requires:         python-stevedore
Requires:         python-os-client-config
Requires:         python-osc-lib

%description
python-openstackclient is a unified command-line client for the OpenStack APIs.
It is a thin wrapper to the stock python-*client modules that implement the
actual REST API client actions.

%package doc
Summary:          Documentation for OpenStack Command-line Client

BuildRequires:    python-sphinx

Requires:         %{name} = %{version}-%{release}

%description      doc
python-openstackclient is a unified command-line client for the OpenStack APIs.
It is a thin wrapper to the stock python-*client modules that implement the
actual REST API client actions.

This package contains auto-generated documentation.

%prep
%autosetup -n %{name}-%{upstream_version} -S git

# We handle requirements ourselves, pkg_resources only bring pain
rm -rf requirements.txt test-requirements.txt

%build
%{__python2} setup.py build

# Generate i18n iles
%{__python2} setup.py compile_catalog -d build/lib/openstackclient/locale

%install
%{__python2} setup.py install -O1 --skip-build --root %{buildroot}

export PYTHONPATH="$( pwd ):$PYTHONPATH"
sphinx-build -b html doc/source html
sphinx-build -b man doc/source man

install -p -D -m 644 man/openstack.1 %{buildroot}%{_mandir}/man1/openstack.1

# Fix hidden-file-or-dir warnings
rm -fr html/.doctrees html/.buildinfo

# Install i18n .mo files (.po and .pot are not required)
install -d -m 755 %{buildroot}%{_datadir}
rm -f %{buildroot}%{python2_sitelib}/openstackclient/locale/*/LC_*/openstackclient*po
rm -f %{buildroot}%{python2_sitelib}/openstackclient/locale/*pot
mv %{buildroot}%{python2_sitelib}/openstackclient/locale %{buildroot}%{_datadir}/locale

# Find language files
%find_lang openstackclient --all-name

%check
%{__python2} setup.py test

%files -f openstackclient.lang
%license LICENSE
%doc README.rst
%{_bindir}/openstack
%{python2_sitelib}/openstackclient
%{python2_sitelib}/*.egg-info
%{_mandir}/man1/openstack.1*

%files doc
%license LICENSE
%doc html

%changelog
* Fri Jun 15 2018 Julie Pichon <jpichon@redhat.com> 3.2.1-6
- Prevent "server migrate --wait" from hanging (rhbz#1576172)

* Fri Jun 15 2018 Bernard Cafarelli <bcafarel@redhat.com> 3.2.1-5
- Fix router unset --route option (rhbz#1563548)
- Merge "Fix OSC networking commands help errors" into rhos-10.0-patches

* Thu Jun 07 2018 Artom Lifshitz <alifshit@redhat.com> 3.2.1-4
- Fix regular expression for uptime in hypervisor show (rhbz#1581844)
- Merge "Fix OSC networking commands help errors" into rhos-10.0-patches

* Mon Feb 19 2018 Julie Pichon <jpichon@redhat.com> 3.2.1-3
- Fix creating a private flavor with ID auto (rhbz#1436837)
- Fix OSC networking commands help errors (rhbz#1546705)
- Use image client for images instead of compute (rhbz#1399332 rhbz#1546705)
- Fix --shared/block-migration options in server migrate command (rhbz#1424129)

* Thu Aug 10 2017 venkata anil <anilvenkata@redhat.com> 3.2.1-2
- Allow override of distributed router flag (rhbz#1474259)

* Tue Feb 14 2017 Jon Schlueter <jschluet@redhat.com> 3.2.1-1
- Update to 3.2.1 (rhbz#1421909)

* Tue Oct 4 2016 David Moreau Simard <dmsimard@redhat.com> 3.2.0-2
- Carry patch temporarily until released upstream in order to resolve authentication issues

* Tue Sep 13 2016 Haikel Guemar <hguemar@fedoraproject.org> 3.2.0-1
- Update to 3.2.0
